package com.cim.idm.framework.exception.ext;

public class ExceptionKey
{

	private ExceptionKey()
	{
	}

	public static final String	CouldNotCreateObject_Exception				= "CouldNotCreateObjectException";
	public static final String	NotDefineObjectBehaviorPolicy_Exception		= "NotDefineObjectBehaviorPolicyException";
	public static final String	NoDefineServiceBean_Exception				= "NoDefineServiceBeanException";

	public static final String	AlreadyCheckedOut_Exception					= "AlreadyCheckedOutException";
	public static final String	NotActive_Exception							= "NotActiveException";
	public static final String	AlreadyActive_Exception						= "AlreadyActiveException";

	public static final String	DifferentCheckOutInUser_Exception			= "DifferentCheckOutInUserException";
	public static final String	NotCheckedOut_Exception						= "NotCheckedOutException";
	public static final String	NotCheckedIn_Exception						= "NotCheckedInException";

	public static final String	NullPointKey_Exception						= "NullPointKeyException";

	public static final String	NotFound_Exception							= "NotFoundException";
	public static final String	Duplicate_Name_Exception					= "DuplicateNameException";
	public static final String	Invalid_State_Transition_Exception			= "InvalidStateTransitionException";
	public static final String	DataAccess_Exception						= "DataAccessException";
	public static final String	NotDefineObjectAttribute_Exception			= "NotDefineObjectAttributeException";
	public static final String	NoValidHistoryDataObject_Exception			= "NoValidHistoryDataObjectException";
	public static final String	InvalidArguments_Exception					= "InvalidArgumentsException";
	public static final String	InvalidTransaction_Exception				= "InvalidTransactionException";
	public static final String	InvalidEventTime_Exception					= "InvalidEventTimeException";
	public static final String	InvalidBehaviorName_Exception				= "InvalidBehaviorNameException";

	public static final String	ProcessFlowNotFound_Exception				= "ProcessFlowNotFoundException";
	public static final String	ProcessOperationNotFound_Exception			= "ProcessOperationNotFoundException";

	public static final String	CoordinateOutOfRange_Exception				= "CoordinateOutOfRangeException";

	public static final String	InvalidNode_Exception						= "InvalidNodeException";
	public static final String	InvalidNodeType_Exception					= "InvalidNodeTypeException";
	public static final String	InvalidNodeAttribute_Exception				= "InvalidNodeAttributeException";
	public static final String	InvalidFromNodeType_Exception				= "InvalidFromNodeTypeException";
	public static final String	InvalidToNodeType_Exception					= "InvalidToNodeTypeException";
	public static final String	NodeAttributeNULL_Exception					= "NodeAttributeNULLException";
	public static final String	NodeAttributeNotNULL_Exception				= "NodeAttributeNotNULLExcetpion";
	public static final String	FromNodeEqualToToNode_Exception				= "FromNodeEqualToToNodeException";
	public static final String	FromNodeNotFound_Exception					= "FromNodeNotFoundException";
	public static final String	ToNodeNotFound_Exception					= "ToNodeNotFoundException";
	public static final String	NodeNotInProcessFlow_Exception				= "NodeNotInProcessFlowException";
	public static final String	AlreadyHasStartNode_Exception				= "AlreadyHasStartNodeException";
	public static final String	AlreadyHasEndNode_Exception					= "AlreadyHasEndNodeException";

	public static final String	MaterialNotInTransportGroup_Exception		= "MaterialNotInTransportGroupException";
	public static final String	MaterialNotInProcessGroup_Exception			= "MaterialNotInProcessGroupException";
	public static final String	MaterialNotInPackingGroup_Exception			= "MaterialNotInPackingGroupException";
	public static final String	InvalidArcType_Exception					= "InvalidArcTypeException";
	public static final String	InvalidArcAttribute_Exception				= "InvalidArcAttributeException";
	public static final String	ExceedArcQuantityOfFromNode_Exception		= "ExceedArcQuantityOfFromNodeException";
	public static final String	ExceedArcQuantityOfToNode_Exception			= "ExceedArcQuantityOfToNodeException";

	public static final String	UnExpected_Exception						= "UnexpectedException";

	public static final String	PFIInvalid_Exception						= "PFIInvalidException";

	public static final String	User_AlreadyLoggedIn						= "UserAlreadyLoggedInException";
	public static final String	User_NotLoggedIn							= "UserNotLoggedInException";
	public static final String	User_InvalidWorkStation						= "UserInvalidWorkStationException";
	public static final String	User_InvalidPassword						= "UserInvalidPasswordException";
	public static final String	User_DuplicateMenu							= "UserDuplicateMenuException";

	public static final String	CannotGenerateSerialNo_Exception			= "CannotGenerateSerialNoException";

	public static final String	MismatchedEventTimeKey						= "MismatchedEventTimeKeyException";
	public static final String	NotSupported_Function						= "NotSupportedFunctionException";

	public static final String	InvalidMoveOperation_Exception				= "InvalidMoveOperationExceptionException";

	public static final String	UnAuthorized_Exception						= "UnAuthorizedExceptionException";

	public static final String	IsNotExistPosPolicyName						= "IsNotExistPosPolicyNameException";
	public static final String	IsNotExistPosConditionName					= "IsNotExistPosConditionNameException";
	public static final String	IsNotExistPosPolicyData						= "IsNotExistPosPolicyDataException";

	public static final String	InvalidBranchFlow_Exception					= "InvalidBranchFlowException";

	public static final String	ProductNotInLot_Exception					= "ProductNotInLotException";
	public static final String	PORequireLogIn_Exception					= "PORequireLogInException";

	//////////////////////// validate 
	public static final String	ObjectNotFound_Exception					= "ObjectNotFoundException";

	public static final String	CanNotDoAtLotState_Exception				= "CanNotDoAtLotStateException";
	public static final String	CanNotDoAtProductState_Exception			= "CanNotDoAtProductStateException";
	public static final String	CanNotDoAtDurableState_Exception			= "CanNotDoAtDurableStateException";
	public static final String	CanNotDoAtConsumableState_Exception			= "CanNotDoAtConsumableStateException";
	public static final String	CanNotDoAtSparePartState_Exception			= "CanNotDoAtSparePartStateException";
	public static final String	CanNotDoAtPMJobState_Exception				= "CanNotDoAtPMJobStateException";
	public static final String	CanNotDoAtProductRequestStateWithHold_Exception		= "CanNotDoAtProductRequestStateWithHoldException";
	

	public static final String	ConsumedMaterialsNotFound_Exception			= "ConsumedMaterialsNotFoundException";
	public static final String	SpecNotFound_Exception						= "SpecNotFoundException";

	public static final String	NotYetAssignedToCarrier_Exception			= "NotYetAssignedToCarrierException";
	public static final String	NotYetAssignedToProcessGroup_Exception		= "NotYetAssignedToProcessGroupException";
	public static final String	NotYetAssignedToTransportGroup_Exception	= "NotYetAssignedToTransportGroupException";

	public static final String	AlreadyAssignedToCarrier_Exception			= "AlreadyAssignedToCarrierException";
	public static final String	AlreadyAssignedToProcessGroup_Exception		= "AlreadyAssignedToProcessGroupException";
	public static final String	AlreadyAssignedToTransportGroup_Exception	= "AlreadyAssignedToTransportGroupException";

	public static final String	OutOfRange_Exception						= "OutOfRangeException";

	public static final String	UndefinedGrade_Exception					= "UndefinedGradeException";
	public static final String	UndefinedFactoryRelation_Exception			= "UndefinedFactoryRelationException";
	public static final String	UndefinedMachine_Exception					= "UndefinedMachineException";
	public static final String	UndefinedMachineRecipe_Exception			= "UndefinedMachineRecipeException";

	public static final String	InvalidLengthOfSubProductGrades_Exception	= "InvalidLengthOfSubProductGradesException";

	public static final String	InvalidProductQuantity_Exception			= "InvalidProductQuantityException";
	public static final String	InvalidCurrentProductQuantity_Exception		= "InvalidCurrentProductQuantityException";
	public static final String	InvalidMaterialQuantity_Exception			= "InvalidMaterialQuantityException";

	public static final String	InvalidDueDate_Exception					= "InvalidDueDateException";
	public static final String	InvalidState_Exception						= "InvalidStateException";
	public static final String	DifferentLotState_Exception					= "DifferentLotStateException";
	public static final String	DifferentProductSpec_Exception				= "DifferentProductSpecException";
	public static final String	DifferentProcessFlow_Exception				= "DifferentProcessFlowException";
	public static final String	DifferentProcessOperation_Exception			= "DifferentProcessOperationException";

	public static final String	CanNotRemoveRelatedData_Exception			= "CanNotRemoveRelatedDataException";
	public static final String  MachineNotMatching_Exception				= "MachineNotMatchingException";
}
