package com.cim.idm.framework.exception.ext;

/*
 ****************************************************************************
 *  PACKAGE : generic.exception
 *  NAME    : NotFoundSignal.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

@SuppressWarnings("serial")
public class NotFoundSignal extends LocalizedException
{
	public NotFoundSignal(String dataKey, String query)
	{
		super(ExceptionKey.NotFound_Exception, dataKey, query);
	}

	public NotFoundSignal(LogLevel logLevel, String dataKey, String query)
	{
		super(logLevel, ExceptionKey.NotFound_Exception, dataKey, query);
	}

	public NotFoundSignal(Throwable throwable, String dataKey, String query)
	{
		super(ExceptionKey.NotFound_Exception, throwable, dataKey, query);
	}

	@SuppressWarnings("unchecked")
	public NotFoundSignal(Class serviceClass, String operation, String dataKey, String query)
	{
		super(ExceptionKey.NotFound_Exception, serviceClass, operation, dataKey, query);
	}

	@SuppressWarnings("unchecked")
	public NotFoundSignal(Throwable throwable, Class serviceClass, String operation, String dataKey, String query)
	{
		super(ExceptionKey.NotFound_Exception, throwable, serviceClass, operation, dataKey, query);
	}

	@SuppressWarnings("unchecked")
	public NotFoundSignal(LogLevel logLevel, Throwable throwable, Class serviceClass, String operation, String dataKey, String query)
	{
		super(ExceptionKey.NotFound_Exception, throwable, serviceClass, operation, dataKey, query);
	}

	public NotFoundSignal(String errorCode, String errorMessage,
			Throwable throwable) {
		super(errorCode,errorMessage,throwable);
	}
}
