package com.cim.idm.framework.exception.ext;

/*
 ****************************************************************************
 *  PACKAGE : generic
 *  NAME    : FrameworkErrorSignal.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

@SuppressWarnings("serial")
public class FrameworkErrorSignal extends LocalizedException
{

	public FrameworkErrorSignal(String errorCode)
	{
		super(errorCode);
	}

	public FrameworkErrorSignal(String errorCode, Object... args)
	{
		super(errorCode, args);
	}

	//	public FrameworkErrorSignal(String errorCode, Throwable throwable)
	//	{
	//		super(errorCode, throwable);
	//	}
	public FrameworkErrorSignal(String errorCode, String errorMessage, Throwable throwable){
		super(errorCode,errorMessage,throwable);
	}
	
	public FrameworkErrorSignal(String errorCode, Throwable throwable, Object... args)
	{
		super(errorCode, throwable, args);
	}

	@SuppressWarnings("unchecked")
	public FrameworkErrorSignal(String errorCode, Class serviceClass, String operation, Object... args)
	{
		super(errorCode, serviceClass, operation, args);
	}

	@SuppressWarnings("unchecked")
	public FrameworkErrorSignal(String errorCode, Throwable throwable, Class serviceClass, String operation,
			Object... args)
	{
		super(errorCode, throwable, serviceClass, operation, args);
	}
}
