package com.cim.idm.framework.exception.ext;

/*
 ****************************************************************************
 *  PACKAGE : generic
 *  NAME    : InvalidStateTransitionSignal.java
 *  TYPE    : JAVA
 *  DESCRIPTION :
 *
 ****************************************************************************
 */

@SuppressWarnings("serial")
public class InvalidStateTransitionSignal extends LocalizedException
{
	public InvalidStateTransitionSignal(String objectKeyString, String oldState, String newState)
	{
		super(ExceptionKey.Invalid_State_Transition_Exception, objectKeyString, oldState, newState);
	}

	public InvalidStateTransitionSignal(String objectKeyString, String oldState, String newState, Throwable throwable)
	{
		super(ExceptionKey.Invalid_State_Transition_Exception, throwable, objectKeyString, oldState, newState);
	}
	
	public InvalidStateTransitionSignal(String errorCode, String errorMessage, Throwable throwable){
		super(errorCode,errorMessage,throwable);
	}
}
